petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatBindToCPU

marks a matrix to temporarily stay on the CPU and perform computations on the CPU

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatBindToCPU(Mat A,PetscBool flg)

### Input Parameters

| A | - the matrix
| flg | - bind to the CPU if value of PETSC_TRUE

### Level

intermediate

### Location

src/mat/utils/gcreate.c

### Implementations

MatBindToCPU_MPIAIJ in src/mat/impls/aij/mpi/mpiaij.c
MatBindToCPU_SeqAIJCUSPARSE in src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu
MatBindToCPU_SeqAIJViennaCL in src/mat/impls/aij/seq/seqviennacl/aijviennacl.cxx
MatBindToCPU_SeqDenseCUDA in src/mat/impls/dense/seq/cuda/densecuda.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages